body {
	margin: 0;
	padding: 0;
	font-family: monospace !important;
}

#arrowDown {
	position: fixed;
	bottom: 2rem;
	left: 50%;
	transform: translate(-50%, 0%);
	z-index: 1;
	font-size: 1.5rem;
	color: #98a3ae;
}

.navbar {
	position: fixed;
	padding-top: 0;
	width: 100%;
	z-index: 1;
}

#navbarToggleButton {
	border-color: #98a3ae;
}

#navbarSupportedContent {
	border-bottom: 0.25rem solid #98a3ae;
}

#navbarSupportedContent a {
	color: #98a3ae !important;
}

.socials > ul {
	list-style: none;
	padding-left: 0;
	margin-bottom: 0;
	color: white;
	display: flex;
	font-size: 1.5rem;	
}

.socials > ul > li {
	margin: 0 0.5rem;
}

.socials > ul > li > a {
	color: white !important;
}

section {
	padding: 1rem;
	overflow-y: auto;
}

#introSection {
	height: 100dvh;
}

row {
	padding: 0 1rem;
}

#introduction {
	font-size: 3rem;
}

#name {
	font-size: 4.5rem;
	font-weight: bold;
	-webkit-background-clip: text;
	background-clip: text;
	-webkit-text-fill-color: transparent;
	color: transparent;
}

#nameCaption {
	font-size: 2rem;
	margin-top: -1rem;
}

#about {
	font-size: 1.5rem;
	color: #98a3ae;
	margin-top: 6rem;
}

#about > div {
	margin-bottom: 0.5rem;
}

.skill-label {
	color: white;
	margin-right: 0.5rem;
}

#interactiveContainer {
	padding: 3rem;
	z-index: 0;
	margin: 5rem 0;
}

#build {
	font-size: 2rem;
}

#resumeButtonContainer {
	margin-top: 2rem;
}

#resumeButton {
	border: 0px solid transparent;
	border-radius: 50px;
	font-weight: bold;
	font-size: 2rem;
	color: black;
	text-decoration: none;
	margin-bottom: 1rem;
	padding: 0.5rem 3rem;
	opacity: 0.75;
}

#resumeButton:hover {
	opacity: 1;
}

.typingIndicatorTop {
	margin-left: -0.5rem;
}

.blink-text-fast {
	animation: blinker 1s step-start infinite;
}

.blink-text-slow {
	animation: blinker 3s step-start infinite;
}

@keyframes blinker {
	0% { opacity: 1; }
    50% { opacity: 0; }
    100% { opacity: 1; }
}

.contact-card {
	padding: 2rem 4rem;
	height: 40%;
}

.contact-card > .nx-card {
	border-radius: 20px;
	padding: 2rem;
}

.contact-card .nx-content {
	font-size: 3rem;
	color: #98a3ae;
}

.contact-link > a {
	font-weight: bold;
	color: white;
}

@media screen and (max-width: 992px) {
	#arrowDown {
		font-size: 3rem;
	}
	
	.navbar a {
		font-size: 3rem;
	}
	
	#introduction {
		font-size: 5rem;
	}
	
	#name {
		font-size: 7rem;
	}
	
	#nameCaption {
		font-size: 4rem;
	}
	
	#about {
		font-size: 2.5rem;
	}

	#interactiveContainer {
		margin-top: 0;
	}

	#build {
		font-size: 2rem;
	}
	
	#resumeButton {
		font-size: 3.5rem;
	}
	
	#projects {
		height: 33dvh !important;
	}
	
	#contact h2 {
		font-size: 5rem;
	}
	
	.contact-card {
		height: 20%;
	}
	
	.contact-card .nx-content {
		font-size: 4rem;
	}
}

.nx-wrap {
  perspective: 1200px;
  display: flex;
  justify-content: center;
}

.nx-card {
  position: relative;
  padding: 3rem;
  border-radius: 22px;
  color: white;
  overflow: hidden;
  height: fit-content;

  transform-style: preserve-3d;
  will-change: transform;
  transition: transform 0.2s ease;

  box-shadow: 0 40px 80px rgba(0,0,0,0.3);
}

#interactiveContainer .nx-card {
	width: min(800px, 92vw);
}

.nx-layer {
  position: relative;
  z-index: 2;
}

.nx-content {
	height: 100%;
}

.nx-back {
  position: absolute;
  inset: -40%;
  background:
    radial-gradient(circle at center,
    rgba(255,255,255,0.25), transparent 60%);
  transform: translateZ(-40px) scale(1.4);
  z-index: 1;
}

.nx-content h2 {
  font-size: clamp(1.7rem,3vw,2.3rem);
  margin-bottom: .5rem;
}

.nx-content p {
  opacity: .9;
}

/* moving spotlight */
.nx-spotlight {
  position: absolute;
  inset: 0;
  pointer-events: none;
  background: radial-gradient(circle at center,
    rgba(255,255,255,0.35), transparent 35%);
  opacity: 0;
  transition: opacity .25s ease;
}